using Godot;
using yourareanaiceo;

[SceneTree]
public partial class Game : Node2D
{
    public GameState GameState { get; set; } = new();

    public override void _Ready()
    {
        ExecuteButton.Pressed += () => DaySchedule.StartDay();

        EventBus.CompanyChanged?.Invoke(GameState.Company.ToCompanyStats());
    }
}
